Issue 10687

Summary: Cannot insert .dib pictures in documents
Product: ui Reporter: nicu_ooo
Component: uiAssignee: AOO issues mailing list <issues>
Status: RESOLVED FIXED QA Contact:
Severity: Trivial    
Priority: P3 CC: damjan, issues, mseidel, oooforum
Version: 643C   
Target Milestone: 4.1.8   
Hardware: PC   
OS: All   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---

Description nicu_ooo 2003-01-15 13:10:51 UTC
The dib picture format appears identic with bmp - if i change the extension for
a dib picture in bmp, i can insert the picture in any document (ex. Writer).
In Insert->Graphics->From File i can't select the dib format (or any and then my
dib file)
This extension for bitmap files can be produced from many programs, even from MS
Paint. (if i remember correct dib = Device Independent Bitmap)
The desired option is useful when the file is on read-only media and the
extension can't be changed.
Comment 1 stefan.baltzer 2003-06-04 14:27:28 UTC
Reassigned to Bettina.
Comment 2 ace_dent 2008-05-16 02:12:21 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 bettina.haberer 2010-05-21 15:13:41 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 4 oooforum (fr) 2019-10-06 13:00:52 UTC
Indeed, DIB is an old format very close of BMP but forgotten a long time ago.
I think that we can filed this issue as obsolete now.
Comment 5 damjan 2019-10-06 17:24:16 UTC
https://en.wikipedia.org/wiki/BMP_file_format

.dib is a well known file extension.

We should support it.

Please stop closing bugs unnecessarily.
Comment 6 oooforum (fr) 2019-10-06 19:27:00 UTC
DIB is supported but not listed in dialog Insert / Graphic / From file...

So, just an easy hack to add this format.
But I don't know where is localised this common dialog.
Comment 7 damjan 2019-10-07 02:17:04 UTC
.DIB extension added in commit 91d03466ff74ce4b0f42e9a352b5388c9f858dee

Resolving fixed.
Comment 8 Matthias Seidel 2019-10-08 10:53:01 UTC
Cherry-picked for AOO42X and AOO418.
Comment 9 Marcus 2019-10-08 21:56:36 UTC
Setting milestone to 4.1.8